#!/bin/sh
# This script generates a conkyrc file from a template
# and calculates the correct width for the current screen resolution

template_file="$HOME/.config/jwm/conky/conkyrc.template"
conkyrc_file="$HOME/.config/jwm/conky/conkyrc"
if [ -f "$template_file" ]; then
  screen_width="$(xdpyinfo | awk '/dimensions/ { split($2,v,"x");  print v[1] }')"
  jwm_width="596"
  conky_width="$((screen_width - jwm_width))"
  this_script="$(echo "$0" | sed "s:$HOME/::")"
  echo "--- This file was generated by $this_script" > "$conkyrc_file"
  echo "--- Edit conkyrc.template to configure conky." >> "$conkyrc_file"
  bat="$(find /sys/class/power_supply/*B* | awk -F '/' 'NR==1{print $NF}')"
  sed "s/_width_/$conky_width/g;s/BAT_X/$bat/g;" "$template_file" >> "$conkyrc_file"
fi

conky_start() {
  if [ ! "$(pidof conky)" ]; then
    xprop -root -format CONKY_PID 8s -remove CONKY_PID
  fi

#  conky_pid="$(xprop -root CONKY_PID | awk -F '"' '{print $2}')"

#  if [ ! "$conky_pid" ]; then
    conky -c "$conkyrc_file" &
    xprop -root -format CONKY_PID 8s -set CONKY_PID "$!"
#  fi
}

conky_stop(){
  conky_pid="$(xprop -root CONKY_PID | awk -F '"' '{print $2}')"
  kill "$conky_pid"
  xprop -root -format CONKY_PID 8s -remove CONKY_PID
}

if [ "$1" = 'stop' ]; then
  conky_stop &
  
else
  conky_start &
fi
exit 0
